Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.ix.jspTutorial.database
Class DatabaseGenericModifier

    java.lang.Object
      |
      +--de.ix.jspTutorial.database.DatabaseGenericModifier

public class DatabaseGenericModifier
extends java.lang.Object

Realisierung der Modikatoren

- create-Anweisung zum Erzeugen eines Objektes-Objekt.
- update-Anweisung zum Ändern eines Objektes-Objekt.
- delete-Anweisung zum Löschen eines Objektes-Objekt.

Leistungen des Services:

- Generierung der Modifkatoren Statement
- Ausführen der Modifkatoren auf einer JDBC Connection
- Test eines fehlerhaften Modifikation

Version:
  $Id:$
Author:
  Peter Rossbach (pr@webapp.de)

Field Summary
`private DatabaseConnection` | `myConnection` Databank-Connection
`static java.lang.String` | `vcid` Version der Klasse

Constructor Summary
`DatabaseGenericModifier()`
`DatabaseGenericModifier(DatabaseConnection connection)` Merke eine Verbindung zur Datenbank

Method Summary
`java.lang.StringBuffer` | `addKeyQualifier(java.lang.StringBuffer statement, java.lang.String aKey)` Erzeuge Schlüsselqualifier Heraus kommt
     WHERE Key = ?
     </TD>
    </TR>
    <TR BGCOLOR="white" CLASS="TableRowColor">
    <TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
    <CODE>&nbsp;java.lang.StringBuffer</CODE></FONT></TD>
    <TD><CODE><B><A HREF="../../../../de/ix/jspTutorial/database/DatabaseGenericModifier.html#addParameter(java.lang.StringBuffer, int)">addParameter</A></B>(java.lang.StringBuffer&nbsp;statement,
                 int&nbsp;nums)</CODE>

    <BR>
    &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Erzeuge für ein JDBC- Statement eine entsprechenden Paramenterliste.
     </TD>
    </TR>
    <TR BGCOLOR="white" CLASS="TableRowColor">
    <TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
    <CODE>&nbsp;java.lang.StringBuffer</CODE></FONT></TD>
    <TD><CODE><B><A HREF="../../../../de/ix/jspTutorial/database/DatabaseGenericModifier.html#addUpdateValueStatement(java.lang.StringBuffer, de.ix.jspTutorial.database.I_DatabaseGenericObject)">addUpdateValueStatement</A></B>(java.lang.StringBuffer&nbsp;statement,
                            <A HREF="../../../../de/ix/jspTutorial/database/I_DatabaseGenericObject.html">I_DatabaseGenericObject</A>&nbsp;aObject)</CODE>

    <BR>
    &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Erzeuge für ein JDBC- Update Statement die Paramenterliste.
     </TD>
    </TR>
    <TR BGCOLOR="white" CLASS="TableRowColor">
    <TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
    <CODE>&nbsp;boolean</CODE></FONT></TD>
    <TD><CODE><B><A HREF="../../../../de/ix/jspTutorial/database/DatabaseGenericModifier.html#create(de.ix.jspTutorial.database.I_DatabaseGenericObject, java.lang.String)">create</A></B>(<A HREF="../../../../de/ix/jspTutorial/database/I_DatabaseGenericObject.html">I_DatabaseGenericObject</A>&nbsp;aObject,
           java.lang.String&nbsp;aEntity)</CODE>

    <BR>
    &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Erzeuge eine Objektes auf der Datenbank</TD>
    </TR>
    <TR BGCOLOR="white" CLASS="TableRowColor">
    <TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
    <CODE>&nbsp;boolean</CODE></FONT></TD>
    <TD><CODE><B><A HREF="../../../../de/ix/jspTutorial/database/DatabaseGenericModifier.html#create(java.sql.PreparedStatement, de.ix.jspTutorial.database.I_DatabaseGenericObject)">create</A></B>(java.sql.PreparedStatement&nbsp;statement,
           <A HREF="../../../../de/ix/jspTutorial/database/I_DatabaseGenericObject.html">I_DatabaseGenericObject</A>&nbsp;aObject)</CODE>

    <BR>
    &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Einfügen eines Datensatz mit einem vorgefertigten Statement.</TD>
    </TR>
    <TR BGCOLOR="white" CLASS="TableRowColor">
    <TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
    <CODE>&nbsp;java.sql.PreparedStatement</CODE></FONT></TD>
    <TD><CODE><B><A HREF="../../../../de/ix/jspTutorial/database/DatabaseGenericModifier.html#createStatement(de.ix.jspTutorial.database.I_DatabaseGenericObject, java.lang.String)">createStatement</A></B>(<A HREF="../../../../de/ix/jspTutorial/database/I_DatabaseGenericObject.html">I_DatabaseGenericObject</A>&nbsp;aObject,
                    java.lang.String&nbsp;aEntity)</CODE>

    <BR>
    &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Gebe ein Create-Statement an.
     </TD>
    </TR>
    <TR BGCOLOR="white" CLASS="TableRowColor">
    <TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
    <CODE>&nbsp;boolean</CODE></FONT></TD>
    <TD><CODE><B><A HREF="../../../../de/ix/jspTutorial/database/DatabaseGenericModifier.html#delete(de.ix.jspTutorial.database.I_DatabaseGenericObject, java.lang.String, java.lang.String)">delete</A></B>(<A HREF="../../../../de/ix/jspTutorial/database/I_DatabaseGenericObject.html">I_DatabaseGenericObject</A>&nbsp;aObject,
           java.lang.String&nbsp;aEntity,
           java.lang.String&nbsp;aKey)</CODE>

    <BR>
    &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Löschen eines Objektes auf der Datenbank</TD>
    </TR>
    <TR BGCOLOR="white" CLASS="TableRowColor">
    <TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
    <CODE>&nbsp;boolean</CODE></FONT></TD>
    <TD><CODE><B><A HREF="../../../../de/ix/jspTutorial/database/DatabaseGenericModifier.html#delete(java.sql.PreparedStatement, de.ix.jspTutorial.database.I_DatabaseGenericObject, java.lang.String)">delete</A></B>(java.sql.PreparedStatement&nbsp;statement,
           <A HREF="../../../../de/ix/jspTutorial/database/I_DatabaseGenericObject.html">I_DatabaseGenericObject</A>&nbsp;aObject,
           java.lang.String&nbsp;aKey)</CODE>

    <BR>
    &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Löschen eines Datensatz mit einem vorgefertigten Statement.
     </TD>
    </TR>
    <TR BGCOLOR="white" CLASS="TableRowColor">
    <TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
    <CODE>&nbsp;java.sql.PreparedStatement</CODE></FONT></TD>
    <TD><CODE><B><A HREF="../../../../de/ix/jspTutorial/database/DatabaseGenericModifier.html#deleteStatement(de.ix.jspTutorial.database.I_DatabaseGenericObject, java.lang.String, java.lang.String)">deleteStatement</A></B>(<A HREF="../../../../de/ix/jspTutorial/database/I_DatabaseGenericObject.html">I_DatabaseGenericObject</A>&nbsp;aObject,
                    java.lang.String&nbsp;aEntity,
                    java.lang.String&nbsp;aKey)</CODE>

    <BR>
    &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Gebe ein Delete-Statement an.
     </TD>
    </TR>
    <TR BGCOLOR="white" CLASS="TableRowColor">
    <TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
    <CODE>&nbsp;java.sql.PreparedStatement</CODE></FONT></TD>
    <TD><CODE><B><A HREF="../../../../de/ix/jspTutorial/database/DatabaseGenericModifier.html#fillValues(java.sql.PreparedStatement, de.ix.jspTutorial.database.I_DatabaseGenericObject)">fillValues</A></B>(java.sql.PreparedStatement&nbsp;statement,
               <A HREF="../../../../de/ix/jspTutorial/database/I_DatabaseGenericObject.html">I_DatabaseGenericObject</A>&nbsp;aObject)</CODE>

    <BR>
    &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Fülle die Werte eines Objekts in das vorbereitete Statement.
     </TD>
    </TR>
    <TR BGCOLOR="white" CLASS="TableRowColor">
    <TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
    <CODE>&nbsp;java.lang.StringBuffer</CODE></FONT></TD>
    <TD><CODE><B><A HREF="../../../../de/ix/jspTutorial/database/DatabaseGenericModifier.html#generateAttributes(java.lang.StringBuffer, de.ix.jspTutorial.database.I_DatabaseGenericObject)">generateAttributes</A></B>(java.lang.StringBuffer&nbsp;statement,
                       <A HREF="../../../../de/ix/jspTutorial/database/I_DatabaseGenericObject.html">I_DatabaseGenericObject</A>&nbsp;aObject)</CODE>

    <BR>
    &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Erzeuge für Create-Statement die Attributeliste.
     </TD>
    </TR>
    <TR BGCOLOR="white" CLASS="TableRowColor">
    <TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
    <CODE>&nbsp;<A HREF="../../../../de/ix/jspTutorial/database/DatabaseConnection.html">DatabaseConnection</A></CODE></FONT></TD>
    <TD><CODE><B><A HREF="../../../../de/ix/jspTutorial/database/DatabaseGenericModifier.html#getConnection()">getConnection</A></B>()</CODE>

    <BR>
    &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Diese Methode liefert den Wert des Attributes Connection.</TD>
    </TR>
    <TR BGCOLOR="white" CLASS="TableRowColor">
    <TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
    <CODE>&nbsp;long</CODE></FONT></TD>
    <TD><CODE><B><A HREF="../../../../de/ix/jspTutorial/database/DatabaseGenericModifier.html#getNextSequenceNumber()">getNextSequenceNumber</A></B>()</CODE>

    <BR>
    &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Erzeuge die nächste Sequenznummer.</TD>
    </TR>
    <TR BGCOLOR="white" CLASS="TableRowColor">
    <TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
    <CODE>&nbsp;long</CODE></FONT></TD>
    <TD><CODE><B><A HREF="../../../../de/ix/jspTutorial/database/DatabaseGenericModifier.html#getNextSequenceNumber(java.lang.String)">getNextSequenceNumber</A></B>(java.lang.String&nbsp;aSequence)</CODE>

    <BR>
    &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Erzeuge eine Sequenznummer. </TD>
    </TR>
    <TR BGCOLOR="white" CLASS="TableRowColor">
    <TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
    <CODE>&nbsp;void</CODE></FONT></TD>
    <TD><CODE><B><A HREF="../../../../de/ix/jspTutorial/database/DatabaseGenericModifier.html#setConnection(de.ix.jspTutorial.database.DatabaseConnection)">setConnection</A></B>(<A HREF="../../../../de/ix/jspTutorial/database/DatabaseConnection.html">DatabaseConnection</A>&nbsp;connection)</CODE>

    <BR>
    &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Setze JDBC verbindung</TD>
    </TR>
    <TR BGCOLOR="white" CLASS="TableRowColor">
    <TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
    <CODE>&nbsp;void</CODE></FONT></TD>
    <TD><CODE><B><A HREF="../../../../de/ix/jspTutorial/database/DatabaseGenericModifier.html#setStatementValue(java.sql.PreparedStatement, java.lang.Object, int)">setStatementValue</A></B>(java.sql.PreparedStatement&nbsp;statement,
                      java.lang.Object&nbsp;value,
                      int&nbsp;index)</CODE>

    <BR>
    &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Setze Statement-Value und berücksichtige, wenn der Wert <em>Null</em> ist.</TD>
    </TR>
    <TR BGCOLOR="white" CLASS="TableRowColor">
    <TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
    <CODE>&nbsp;boolean</CODE></FONT></TD>
    <TD><CODE><B><A HREF="../../../../de/ix/jspTutorial/database/DatabaseGenericModifier.html#update(de.ix.jspTutorial.database.I_DatabaseGenericObject, java.lang.String, java.lang.String)">update</A></B>(<A HREF="../../../../de/ix/jspTutorial/database/I_DatabaseGenericObject.html">I_DatabaseGenericObject</A>&nbsp;aObject,
           java.lang.String&nbsp;aEntity,
           java.lang.String&nbsp;aKey)</CODE>

    <BR>
    &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Änderung eines Objektes auf der Datenbank speichen</TD>
    </TR>
    <TR BGCOLOR="white" CLASS="TableRowColor">
    <TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
    <CODE>&nbsp;boolean</CODE></FONT></TD>
    <TD><CODE><B><A HREF="../../../../de/ix/jspTutorial/database/DatabaseGenericModifier.html#update(java.sql.PreparedStatement, de.ix.jspTutorial.database.I_DatabaseGenericObject, java.lang.String)">update</A></B>(java.sql.PreparedStatement&nbsp;statement,
           <A HREF="../../../../de/ix/jspTutorial/database/I_DatabaseGenericObject.html">I_DatabaseGenericObject</A>&nbsp;aObject,
           java.lang.String&nbsp;aKey)</CODE>

    <BR>
    &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Ändern eines Datensatz mit einem vorgefertigten Statement.
     </TD>
    </TR>
    <TR BGCOLOR="white" CLASS="TableRowColor">
    <TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
    <CODE>&nbsp;java.sql.PreparedStatement</CODE></FONT></TD>
    <TD><CODE><B><A HREF="../../../../de/ix/jspTutorial/database/DatabaseGenericModifier.html#updateStatement(de.ix.jspTutorial.database.I_DatabaseGenericObject, java.lang.String, java.lang.String)">updateStatement</A></B>(<A HREF="../../../../de/ix/jspTutorial/database/I_DatabaseGenericObject.html">I_DatabaseGenericObject</A>&nbsp;aObject,
                    java.lang.String&nbsp;aEntity,
                    java.lang.String&nbsp;aKey)</CODE>

    <BR>
    &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Gebe ein Update-Statement an.
     </TD>
    </TR>
    </TABLE>
    &nbsp;<A NAME="methods_inherited_from_class_java.lang.Object"><!-- --></A>
    <TABLE BORDER="1" CELLPADDING="3" CELLSPACING="0" WIDTH="100%">
    <TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
    <TD><B>Methods inherited from class java.lang.Object</B></TD>
    </TR>
    <TR BGCOLOR="white" CLASS="TableRowColor">
    <TD><CODE><clinit>,
    clone,
    equals,
    finalize,
    getClass,
    hashCode,
    notify,
    notifyAll,
    registerNatives,
    toString,
    wait,
    wait,
    wait</CODE></TD>
    </TR>
    </TABLE>
    &nbsp;
    <P>

    <!-- ============ FIELD DETAIL =========== -->

    <A NAME="field_detail"><!-- --></A>
    <TABLE BORDER="1" CELLPADDING="3" CELLSPACING="0" WIDTH="100%">
    <TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
    <TD COLSPAN=1><FONT SIZE="+2">
    <B>Field Detail</B></FONT></TD>
    </TR>
    </TABLE>

    <A NAME="vcid"><!-- --></A><H3>
    vcid</H3>
    <PRE>
    public static java.lang.String <B>vcid</B></PRE>
    <DL>
    <DD>Version der Klasse</DL>
    <HR>

    <A NAME="myConnection"><!-- --></A><H3>
    myConnection</H3>
    <PRE>
    private <A HREF="../../../../de/ix/jspTutorial/database/DatabaseConnection.html">DatabaseConnection</A> <B>myConnection</B></PRE>
    <DL>
    <DD>Databank-Connection</DL>

    <!-- ========= CONSTRUCTOR DETAIL ======== -->

    <A NAME="constructor_detail"><!-- --></A>
    <TABLE BORDER="1" CELLPADDING="3" CELLSPACING="0" WIDTH="100%">
    <TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
    <TD COLSPAN=1><FONT SIZE="+2">
    <B>Constructor Detail</B></FONT></TD>
    </TR>
    </TABLE>

    <A NAME="DatabaseGenericModifier()"><!-- --></A><H3>
    DatabaseGenericModifier</H3>
    <PRE>
    public <B>DatabaseGenericModifier</B>()</PRE>
    <DL>
    </DL>
    <HR>

    <A NAME="DatabaseGenericModifier(de.ix.jspTutorial.database.DatabaseConnection)"><!-- --></A><H3>
    DatabaseGenericModifier</H3>
    <PRE>
    public <B>DatabaseGenericModifier</B>(<A HREF="../../../../de/ix/jspTutorial/database/DatabaseConnection.html">DatabaseConnection</A>&nbsp;connection)
                            throws <A HREF="../../../../de/ix/jspTutorial/database/DatabaseException.html">DatabaseException</A></PRE>
    <DL>
    <DD>Merke eine Verbindung zur Datenbank<DD><DL>
    <DT><B>Parameters:</B><DD><CODE>connection</CODE> - die Verbindung des Stores.<DT><B>Throws:</B><DD><A HREF="../../../../de/ix/jspTutorial/database/DatabaseException.html">DatabaseException</A> - &nbsp;</DL>
    </DD>
    </DL>

    <!-- ============ METHOD DETAIL ========== -->

    <A NAME="method_detail"><!-- --></A>
    <TABLE BORDER="1" CELLPADDING="3" CELLSPACING="0" WIDTH="100%">
    <TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
    <TD COLSPAN=1><FONT SIZE="+2">
    <B>Method Detail</B></FONT></TD>
    </TR>
    </TABLE>

    <A NAME="getConnection()"><!-- --></A><H3>
    getConnection</H3>
    <PRE>
    public <A HREF="../../../../de/ix/jspTutorial/database/DatabaseConnection.html">DatabaseConnection</A> <B>getConnection</B>()</PRE>
    <DL>
    <DD>Diese Methode liefert den Wert des Attributes Connection.<DD><DL>
    <DT><B>Returns:</B><DD>Wert der Variablen myConnection.</DL>
    </DD>
    </DL>
    <HR>

    <A NAME="setConnection(de.ix.jspTutorial.database.DatabaseConnection)"><!-- --></A><H3>
    setConnection</H3>
    <PRE>
    public void <B>setConnection</B>(<A HREF="../../../../de/ix/jspTutorial/database/DatabaseConnection.html">DatabaseConnection</A>&nbsp;connection)</PRE>
    <DL>
    <DD>Setze JDBC verbindung<DD><DL>
    <DT><B>Parameters:</B><DD><CODE>connection</CODE> - Kapsel der Verbindung zur DB</DL>
    </DD>
    </DL>
    <HR>

    <A NAME="addParameter(java.lang.StringBuffer, int)"><!-- --></A><H3>
    addParameter</H3>
    <PRE>
    public java.lang.StringBuffer <B>addParameter</B>(java.lang.StringBuffer&nbsp;statement,
                                               int&nbsp;nums)</PRE>
    <DL>
    <DD>Erzeuge für ein JDBC- Statement eine entsprechenden Paramenterliste.
     <P>
     Es kommt ein Stringbuffer mit dem Inhalt <([?][, ?]*)> heraus.
     Wenn nums kleiner 1 ist, wird <()> ergänzt.<DD><DL>
    <DT><B>Parameters:</B><DD><CODE>statement</CODE> - der StringBuffer des Statements<DD><CODE>nums</CODE> - die gewünschte Anzahl der Parameter<DT><B>Returns:</B><DD>Die Anweisung mit der angehängten Parameterliste.</DL>
    </DD>
    </DL>
    <HR>

    <A NAME="generateAttributes(java.lang.StringBuffer, de.ix.jspTutorial.database.I_DatabaseGenericObject)"><!-- --></A><H3>
    generateAttributes</H3>
    <PRE>
    public java.lang.StringBuffer <B>generateAttributes</B>(java.lang.StringBuffer&nbsp;statement,
                                                     <A HREF="../../../../de/ix/jspTutorial/database/I_DatabaseGenericObject.html">I_DatabaseGenericObject</A>&nbsp;aObject)</PRE>
    <DL>
    <DD>Erzeuge für Create-Statement die Attributeliste.
     <P>Beispiel
     <xmp>
     INSERT INTO <Tabelle> (Attr1, Attr2, ...) VALUES (WERTE)
Parameters: `statement` - der StringBuffer des Statements `attributes` - die Liste der Attribute Returns: StringBuffer der um die Parameter ergänzte Buffer ### addUpdateValueStatement
    public java.lang.StringBuffer addUpdateValueStatement(java.lang.StringBuffer statement,
                                                          I_DatabaseGenericObject aObject)
Erzeuge für ein JDBC- Update Statement die Paramenterliste. Es kommt ein Stringbuffer mit dem Inhalt <([attribute = ?][, attribute = ?]*)> heraus. Parameters: `statement` - der StringBuffer des Statements `attributes` - die Liste der Attribute Returns: StringBuffer der um die Parameter ergänzte Buffer ### addKeyQualifier
    public java.lang.StringBuffer addKeyQualifier(java.lang.StringBuffer statement,
                                                  java.lang.String aKey)
  Erzeuge Schlüsselqualifier Heraus kommt
       WHERE Key = ?
Parameters: `statement` - der StringBuffer des Statements `aKey` - attribute Returns: StringBuffer der um die Parameter ergänzte Buffer ### setStatementValue
    public void setStatementValue(java.sql.PreparedStatement statement,
                                  java.lang.Object value,
                                  int index)
                           throws java.sql.SQLException
Setze Statement-Value und berücksichtige, wenn der Wert Null ist. Parameters: `statement` - das Statement `value` - der Wert `index` - die Position des Wertes im Statement Throws: java.sql.SQLException - falsche Position im Statement ### fillValues
    public java.sql.PreparedStatement fillValues(java.sql.PreparedStatement statement,
                                                 I_DatabaseGenericObject aObject)
                                          throws DatabaseException
Fülle die Werte eines Objekts in das vorbereitete Statement. Das Objekt wird nach seinen Attributen gefragt. Die Attribute können die Werte aus einem Objekt direkt bestimmen. Falls ein Wert null ist, wird dies für den speziellen Typ mit setNull(index,Typ) gesetzt, sonst wird setObject(index,Object) verwendet. Die Konvertierung des Datentyps auf die DB über nimmt der JDBC-Driver. Parameters: `statement` - das JDBC-Statement `aObject` - das Objektes-Object Returns: PerparedStatement das vorbereitete Statement Throws: DatabaseException - ### createStatement
    public java.sql.PreparedStatement createStatement(I_DatabaseGenericObject aObject,
                                                      java.lang.String aEntity)
                                               throws DatabaseException
  Gebe ein Create-Statement an. Beispiel
       INSERT INTO ENTITY (ATTRIBUTE) VALUES (WERTE)
Parameters: `aType` - der gewünschte Typ Returns: eine Create-Anweisung Throws: DatabaseException - ### updateStatement
    public java.sql.PreparedStatement updateStatement(I_DatabaseGenericObject aObject,
                                                      java.lang.String aEntity,
                                                      java.lang.String aKey)
                                               throws DatabaseException
  Gebe ein Update-Statement an. Beispiel
       UPDATE ENTITY set ATTRIBUTE=VALUE, ...
Parameters: `aType` - der gewünschte Typ Returns: eine Update-Anweisung Throws: DatabaseException - ### deleteStatement
    public java.sql.PreparedStatement deleteStatement(I_DatabaseGenericObject aObject,
                                                      java.lang.String aEntity,
                                                      java.lang.String aKey)
                                               throws DatabaseException
  Gebe ein Delete-Statement an. Beispiel
       DELETE FROM ENTITY WHERE ObjectIdentifier = x AND ObjectVersion = y
Parameters: `aType` - der gewünschte Typ Returns: eine Delete-Anweisung Throws: DatabaseException - ### create
    public boolean create(java.sql.PreparedStatement statement,
                          I_DatabaseGenericObject aObject)
                   throws DatabaseException
Einfügen eines Datensatz mit einem vorgefertigten Statement. Parameters: `statement` - eine Create-Anweisung `aObject` - das Objektes-Objekt Returns: true, wenn der Datensatz eingefügt wurde, sonst false Throws: DatabaseException - ### update
    public boolean update(java.sql.PreparedStatement statement,
                          I_DatabaseGenericObject aObject,
                          java.lang.String aKey)
                   throws DatabaseException
Ändern eines Datensatz mit einem vorgefertigten Statement. Die Werte kommen aus dem Object aObject. Im Qualifier werden noch zusätzlich die ObjectID und der Version zur Bestimmung des Objektes angenommen. Parameters: `statement` - eine Update-Anweisung `aObject` - das Objektes-Objekt Returns: true, wenn der Datensatz geändert wurde, sonst false Throws: DatabaseException - ### delete
    public boolean delete(java.sql.PreparedStatement statement,
                          I_DatabaseGenericObject aObject,
                          java.lang.String aKey)
                   throws DatabaseException
Löschen eines Datensatz mit einem vorgefertigten Statement. Die Werte kommen aus dem Object aObject. Nur wenn, ObjectID und ObjectVersion korrekt sind wird das Objekt wirklich gelöscht Parameters: `statement` - eine Delete-Anweisung `aObject` - das Objektes-Objekt Returns: true, wenn der Datensatz gelöscht wurde, sonst false Throws: DatabaseException - ### create
    public boolean create(I_DatabaseGenericObject aObject,
                          java.lang.String aEntity)
                   throws DatabaseException
Erzeuge eine Objektes auf der Datenbank Parameters: `aObject` - das Objektes das auf der DB gespeichert werden soll. Returns: Erfolg oder nicht Throws: DatabaseException - ### update
    public boolean update(I_DatabaseGenericObject aObject,
                          java.lang.String aEntity,
                          java.lang.String aKey)
                   throws DatabaseException
Änderung eines Objektes auf der Datenbank speichen Parameters: `aObject` - das Objektes das auf der DB gespeichert werden soll. Returns: Erfolg oder nicht Throws: DatabaseException - ### delete
    public boolean delete(I_DatabaseGenericObject aObject,
                          java.lang.String aEntity,
                          java.lang.String aKey)
                   throws DatabaseException
Löschen eines Objektes auf der Datenbank Parameters: `aObject` - das Objektes das auf der DB gelöscht werden soll. Returns: Erfolg oder nicht Throws: DatabaseException - ### getNextSequenceNumber
    public long getNextSequenceNumber()
                               throws java.sql.SQLException
Erzeuge die nächste Sequenznummer. Throws: java.sql.SQLException - ### getNextSequenceNumber
    public long getNextSequenceNumber(java.lang.String aSequence)
                               throws java.sql.SQLException
Erzeuge eine Sequenznummer. Diese Opperation muss immer in einem Transaktionsrahmen auf der Verbindung stattfinden. Parameters: `aSequence` - Entity der Sequence Throws: java.sql.SQLException -
Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD
~ Das iX JSP Tutorial III - © 2000 by Peter Roßbach ~